// ControlDlg.cpp : implementation file
//

#include "stdafx.h"
#include "EX2.h"
#include "ControlDlg.h"
#include "EX2Dlg.h"
#include "mm.h"

// CControlDlg dialog

IMPLEMENT_DYNAMIC(CControlDlg, CDialog)

CControlDlg::CControlDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CControlDlg::IDD, pParent)
{

}

CControlDlg::~CControlDlg()
{
}

void CControlDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_SLIDER_RWHEEL, _rwheelSliderCtrl);	
	DDX_Control(pDX, IDC_SLIDER_LWHEEL, _lwheelSliderCtrl);	
	DDX_Text(pDX, IDC_EDIT_RWHEEL, _rwheelEdit);
	DDX_Text(pDX, IDC_EDIT_LWHEEL, _lwheelEdit);
}


BEGIN_MESSAGE_MAP(CControlDlg, CDialog)
	ON_WM_HSCROLL()
END_MESSAGE_MAP()


// CControlDlg message handlers

BOOL CControlDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	_rwheelSliderCtrl.SetRange(-360,360,true);
	_rwheelSliderCtrl.SetPos(0);
	_lwheelSliderCtrl.SetRange(-360,360,true);
	_lwheelSliderCtrl.SetPos(0);

	_rwheelEdit.Format("%d deg/s",0);
	_lwheelEdit.Format("%d deg/s",0);
	
	UpdateData(FALSE);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	// EXCEPTION: OCX Property Pages should return FALSE
}

void CControlDlg::OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar)
{
	CEX2Dlg* _pDlg = (CEX2Dlg*)::AfxGetMainWnd();
	
	_lwheelEdit.Format ("%d deg/s", _lwheelSliderCtrl.GetPos());
	_pDlg->_ode->SetJointVelocity ("LWHEEL_JOINT", 0, _DEG2RAD*_lwheelSliderCtrl.GetPos());
	
	_rwheelEdit.Format ("%d deg/s", _rwheelSliderCtrl.GetPos());
	_pDlg->_ode->SetJointVelocity ("RWHEEL_JOINT", 0, _DEG2RAD*_rwheelSliderCtrl.GetPos());

	UpdateData(FALSE);
	
	CDialog::OnHScroll(nSBCode, nPos, pScrollBar);
}
